package vario.file

import java.nio.channels.FileChannel

import vario.filter.StreamFilter
import vario.filter.StreamFilter.StreamFilter
import vario.io.VariantWriter

/** Writes variant types into [[java.lang.channels.FileChannel]].
 *
 * @param channel @see [[java.lang.channels.FileChannel]]
 * @param filter Used stream filter, default is [[vario.filter.StreamFilter.None]]
 *
 * @author myst3r10n
 */
class FileVariantWriter(
  override protected val channel: FileChannel,
  filter: StreamFilter = StreamFilter.None)
  extends VariantWriter(channel, filter)
  with FileChannelLike

